html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
a {
  text-decoration: none;
  color: inherit;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

*,
*:after,
*:before {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

[class*="grid-"] {
  float: left;
  padding: 10px;
  width: 100%;
}

.clear-grid {
  clear: both;
  float: inherit;
}
.container {
  margin: 0%;
  width: 100%;
}
.container:after,
.container:before {
  display: table;
  clear: both;
  content: " ";
}
.nest {
  margin: 0 -10px;
  padding: 0;
  width: auto;
}

/*********************************************************************************************

2.  Mobile Grid

*********************************************************************************************/

.grid-m-12 {
  width: 100%;
}
.grid-m-11 {
  width: 91.666663%;
}
.grid-m-10 {
  width: 83.33%;
}
.grid-m-9 {
  width: 74.999997%;
}
.grid-m-8 {
  width: 66.66666664%;
}
.grid-m-7 {
  width: 58.333%;
}
.grid-m-6 {
  width: 50%;
}
.grid-m-5 {
  width: 41.6665%;
}
.grid-m-4 {
  width: 33.33%;
}
.grid-m-3 {
  width: 24.99%;
}
.grid-m-2 {
  width: 16.66666%;
}
.grid-m-1 {
  width: 8.33%;
}

/*********************************************************************************************

3.  Grid 720px+

*********************************************************************************************/

@media (min-width: 720px) {
  .grid-12 {
    width: 100%;
  }
  .grid-11 {
    width: 91.666663%;
  }
  .grid-10 {
    width: 83.33%;
  }
  .grid-9 {
    width: 74.999997%;
  }
  .grid-8 {
    width: 66.66666664%;
  }
  .grid-7 {
    width: 58.333%;
  }
  .grid-6 {
    width: 50%;
  }
  .grid-5 {
    width: 41.6665%;
  }
  .grid-4 {
    width: 33.33%;
  }
  .grid-3 {
    width: 24.99%;
  }
  .grid-2 {
    width: 16.66666%;
  }
  .grid-1 {
    width: 8.33%;
  }

  .grid-t-12 {
    width: 100%;
  }
  .grid-t-11 {
    width: 91.666663%;
  }
  .grid-t-10 {
    width: 83.33%;
  }
  .grid-t-9 {
    width: 74.999997%;
  }
  .grid-t-8 {
    width: 66.66666664%;
  }
  .grid-t-7 {
    width: 58.333%;
  }
  .grid-t-6 {
    width: 50%;
  }
  .grid-t-5 {
    width: 41.6665%;
  }
  .grid-t-4 {
    width: 33.33%;
  }
  .grid-t-3 {
    width: 24.99%;
  }
  .grid-t-2 {
    width: 16.66666%;
  }
  .grid-t-1 {
    width: 8.33%;
  }
}

/*********************************************************************************************

4.  Grid 1024px+

*********************************************************************************************/

@media only screen and (min-width: 1024px) {
  .grid-tl-12 {
    width: 100%;
  }
  .grid-tl-11 {
    width: 91.666663%;
  }
  .grid-tl-10 {
    width: 83.33%;
  }
  .grid-tl-9 {
    width: 74.999997%;
  }
  .grid-tl-8 {
    width: 66.66666664%;
  }
  .grid-tl-7 {
    width: 58.333%;
  }
  .grid-tl-6 {
    width: 50%;
  }
  .grid-tl-5 {
    width: 41.6665%;
  }
  .grid-tl-4 {
    width: 33.33%;
  }
  .grid-tl-3 {
    width: 24.99%;
  }
  .grid-tl-2 {
    width: 16.66666%;
  }
  .grid-tl-1 {
    width: 8.33%;
  }
}

/*********************************************************************************************

5.  Grid 1200px+

*********************************************************************************************/

@media only screen and (min-width: 1200px) {
  .container {
    max-width: 1180px;
    margin: 0 auto;
  }
  .container-fluid {
    max-width: 90%;
    margin: 0 5%;
  }
  .grid-d-12 {
    width: 100%;
  }
  .grid-d-11 {
    width: 91.666663%;
  }
  .grid-d-10 {
    width: 83.33%;
  }
  .grid-d-9 {
    width: 74.999997%;
  }
  .grid-d-8 {
    width: 66.66666664%;
  }
  .grid-d-7 {
    width: 58.333%;
  }
  .grid-d-6 {
    width: 50%;
  }
  .grid-d-5 {
    width: 41.6665%;
  }
  .grid-d-4 {
    width: 33.33%;
  }
  .grid-d-3 {
    width: 24.99%;
  }
  .grid-d-2 {
    width: 16.66666%;
  }
  .grid-d-1 {
    width: 8.33%;
  }
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

@font-face {
  font-family: IRANYekanRegularFaNum;
  src: url("../fonts/IRANYekanRegularFaNum.ttf");
}

@font-face {
  font-family: IRANYekanLightFaNum;
  src: url("../fonts/IRANYekanLightFaNum.ttf");
}

body {
  font-family: IRANYekanRegularFaNum;
  direction: rtl;
  color: #111;
  overflow-x: hidden;
  height: 100%;
  background: #e5e5e5;
  margin-bottom: 30px;
  padding-bottom: 50px;
}

#main-contents {
  max-width: 750px;
  margin: auto;
  padding: 40px 5px;
}

.input-text {
  padding: 16px;
  border-radius: 6px;
  border: none;
  width: 300px;
  outline: none;
  font-size: 16px;
  font-family: IRANYekanRegularFaNum;
}

.input-text::placeholder {
  font-size: 15px;
  font-family: IRANYekanRegularFaNum;
  color: #999;
}

.input-holder {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.sm-input {
  width: 100px;
  text-align: center;
}

.md-input {
  width: 150px;
  text-align: center;
}

.justify-flexStart {
  justify-content: flex-start;
}

.rounded {
  border-radius: 50% !important;
}

.d-none {
  display: none;
}

.primary-bg {
  background-color: #195dce;
  color: #fff;
}

.m-auto {
  margin: auto;
}

.capitalize{
  text-transform: capitalize;
}

.primary-btn {
  display: flex;
  width: 300px;
  align-items: center;
  flex-direction: row-reverse;
  justify-content: center;
  background-color: #195dce;
  color: #fff;
  font-size: 18px;
  padding: 14px;
  outline: none;
  font-family: IRANYekanLightFaNum;
  border: none;
  cursor: pointer;
  border-radius: 6px;
}

.primary-btn img {
  margin-left: 10px;
}

.margin-top-60 {
  margin-top: 60px !important;
}

.margin-top-20 {
  margin-top: 20px;
}

.margin-left-30 {
  margin-left: 30px;
}

.flex-column {
  flex-direction: column;
}

.flex-column label:nth-child(4) {
  margin: 10px 0;
}

#error-message {
  display: inline-block;
  background: #ff2a63;
  color: #fff;
  padding: 30px 15px 20px;
  border-radius: 0 0 10px 10px;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  display: none;
  margin: auto;
  text-align: center;
  z-index: 5000;
  width: 280px;
  line-height: 1.5;
}

#success-message {
  display: inline-block;
  background: #04aa27;
  color: #fff;
  padding: 30px 15px 20px;
  border-radius: 0 0 10px 10px;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  display: none;
  margin: auto;
  text-align: center;
  z-index: 5000;
  width: 280px;
  line-height: 1.5;
}

.d-flex{
  display: flex;
  align-items: center;
}

.largInput-text{
  width: 95% !important;
  text-align: right !important;
}

.input-restriction {
  font-size: 11px;
  color: #ff2a63;
  font-weight: 600;
  margin-right: 20px;
  display: none;
}

.input-error {
  border: 2px solid #ff2a63;
  outline: none;
}

.text-center{
  text-align: center !important;
}

.slide-in-top {
  -webkit-animation: slide-in-top 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  animation: slide-in-top 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}

.slide-out-top {
  -webkit-animation: slide-out-top 0.5s cubic-bezier(0.55, 0.085, 0.68, 0.53)
    both;
  animation: slide-out-top 0.5s cubic-bezier(0.55, 0.085, 0.68, 0.53) both;
}

.scale-in-center {
  -webkit-animation: scale-in-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94)
    both;
  animation: scale-in-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}

@-webkit-keyframes scale-in-center {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
  }
}
@keyframes scale-in-center {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
  }
}

@-webkit-keyframes slide-in-top {
  0% {
    -webkit-transform: translateY(-1000px);
    transform: translateY(-1000px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 1;
  }
}
@keyframes slide-in-top {
  0% {
    -webkit-transform: translateY(-1000px);
    transform: translateY(-1000px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 1;
  }
}

@-webkit-keyframes slide-out-top {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: translateY(-1000px);
    transform: translateY(-1000px);
    opacity: 0;
  }
}
@keyframes slide-out-top {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: translateY(-1000px);
    transform: translateY(-1000px);
    opacity: 0;
  }
}


/********** loader **************/

#uploadLoader {
  text-align: center;
  line-height: 2;
  font-size: 20px;
  height: 100%;
  font-weight: 600;
  display: none;
  justify-content: center;
  align-items: center;
  position: fixed;
  flex-direction: column;
  left: 0;
  right: 0;
  margin: auto;
  top: 0;
  background-color: #ddddddde;
  z-index: 1;
}

svg.tea {
  --secondary: #33406f;
}
svg.tea #teabag {
  transform-origin: top center;
  transform: rotate(3deg);
  animation: swing 2s infinite;
}
svg.tea #steamL {
  stroke-dasharray: 13;
  stroke-dashoffset: 13;
  animation: steamLarge 2s infinite;
}
svg.tea #steamR {
  stroke-dasharray: 9;
  stroke-dashoffset: 9;
  animation: steamSmall 2s infinite;
}
@-moz-keyframes swing {
  50% {
    transform: rotate(-3deg);
  }
}
@-webkit-keyframes swing {
  50% {
    transform: rotate(-3deg);
  }
}
@-o-keyframes swing {
  50% {
    transform: rotate(-3deg);
  }
}
@keyframes swing {
  50% {
    transform: rotate(-3deg);
  }
}
@-moz-keyframes steamLarge {
  0% {
    stroke-dashoffset: 13;
    opacity: 0.6;
  }
  100% {
    stroke-dashoffset: 39;
    opacity: 0;
  }
}
@-webkit-keyframes steamLarge {
  0% {
    stroke-dashoffset: 13;
    opacity: 0.6;
  }
  100% {
    stroke-dashoffset: 39;
    opacity: 0;
  }
}
@-o-keyframes steamLarge {
  0% {
    stroke-dashoffset: 13;
    opacity: 0.6;
  }
  100% {
    stroke-dashoffset: 39;
    opacity: 0;
  }
}
@keyframes steamLarge {
  0% {
    stroke-dashoffset: 13;
    opacity: 0.6;
  }
  100% {
    stroke-dashoffset: 39;
    opacity: 0;
  }
}
@-moz-keyframes steamSmall {
  10% {
    stroke-dashoffset: 9;
    opacity: 0.6;
  }
  80% {
    stroke-dashoffset: 27;
    opacity: 0;
  }
  100% {
    stroke-dashoffset: 27;
    opacity: 0;
  }
}
@-webkit-keyframes steamSmall {
  10% {
    stroke-dashoffset: 9;
    opacity: 0.6;
  }
  80% {
    stroke-dashoffset: 27;
    opacity: 0;
  }
  100% {
    stroke-dashoffset: 27;
    opacity: 0;
  }
}
@-o-keyframes steamSmall {
  10% {
    stroke-dashoffset: 9;
    opacity: 0.6;
  }
  80% {
    stroke-dashoffset: 27;
    opacity: 0;
  }
  100% {
    stroke-dashoffset: 27;
    opacity: 0;
  }
}
@keyframes steamSmall {
  10% {
    stroke-dashoffset: 9;
    opacity: 0.6;
  }
  80% {
    stroke-dashoffset: 27;
    opacity: 0;
  }
  100% {
    stroke-dashoffset: 27;
    opacity: 0;
  }
}


/********** login *************/

#password-container{
  position: relative;
}

#user-password{
  padding: 16px 35px;
}

.password-status{
  position: absolute;
  top: 40px;
  right: 11px;
}

#login-form {
  background-color: #195dce;
  width: 95%;
  padding: 65px 10px 35px;
  border-radius: 30px;
  margin: auto;
}

#login-submit {
  background-color: #ff9b18;
  width: 190px;
  padding: 10px;
}

#login-form input{
  direction: ltr;
}

/********** Add Music ***********/

.label {
  font-size: 18px;
  margin-bottom: 20px;
}

.checkbox-container {
  height: 200px;
  overflow: scroll;
  -ms-overflow-style: none;
  margin-top: 10px;
  scrollbar-width: none;
  padding-right: 15px;
  padding-top: 10px;
}

.checkbox-container::-webkit-scrollbar {
  display: none;
}

.checkbox-container input {
  margin: 10px 0;
}

/* Customize the label (the container) */
.checkbox-container .container {
  display: block;
  position: relative;
  padding-right: 35px;
  margin-bottom: 25px;
  cursor: pointer;
  font-size: 14px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox-container .container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: -5px;
  right: 0;
  height: 25px;
  width: 25px;
  background-color: #eee;
  border-radius: 5px;
}

/* On mouse-over, add a grey background color */
.checkbox-container .container:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.checkbox-container .container input:checked ~ .checkmark {
  background-color: #2196f3;
}

#newMusic-platform
  .input-holder
  .checkbox-container
  .container
  input:checked
  ~ .checkmark,
#newMusic-selected
  .input-holder
  .checkbox-container
  .container
  input:checked
  ~ .checkmark {
  background-color: #2196f3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkbox-container .container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkbox-container .container .checkmark:after {
  left: 10px;
  top: 7px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.newMusic-artist,
.newMusic-tag {
  border-radius: 10px 10px 30px 30px;
  background-color: #fff;
  padding: 15px 0;
}

.addNewMusic-artist {
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: column;
  height: 310px;
}

.addNewMusic-category,
.addNewMusic-tag {
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: column;
  height: 220px;
}

.newMusic-category .checkbox-container {
  display: flex;
  flex-wrap: wrap;
}

.newMusic-category .checkbox-container .container {
  width: 50%;
  margin: 0 0 25px;
}

.newMusic-category .checkmark {
  background-color: #fff;
}

#newMusicText {
  width: 100%;
  padding: 10px;
  border-radius: 15px;
  border: none;
  outline: none;
  color: #555;
  font-family: IRANYekanRegularFaNum;
  font-size: 14px;
}

#newMusic-files label {
  cursor: pointer;
  padding: 10px 100px;
  border-radius: 5px;
}

.file-input {
  opacity: 0;
  position: absolute;
  z-index: -1;
}

.file320 {
  background-color: #ebbd2d;
  transition: 0.5s;
  position: relative;
}

.file320:hover {
  background-color: #ffd65d;
}

.videoFile {
  position: relative;
  background-color: transparent;
  transition: 0.5s;
  border: 1.5px solid #ebbd2d;
}

.videoFile:hover {
  background-color: transparent;
  border: 1.5px solid #ffd966;
}

.coverImg {
  cursor: pointer;
  background-color: #c5c5c5;
  width: 200px;
  height: 200px;
  border-radius: 10px;
  background-size: cover;
  border-radius: 10px;
  background-repeat: no-repeat;
}

#newMusic-platform .checkbox-container,
#newMusic-selected .checkbox-container {
  -ms-overflow-style: none;
  margin-top: 10px;
  scrollbar-width: none;
  padding-right: 15px;
  padding-top: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 50px;
}

#newMusic-platform .input-holder .checkmark,
#newMusic-selected .input-holder .checkmark {
  background-color: #fff;
}

/********** song list css *********/

#song-contents {
  max-width: 1500px;
  margin: auto;
  padding: 40px;
}

#nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.nav-container a {
  margin: 0 10px;
  color: #777;
}

.nav-container a.active,
.side-nav-item a.active {
  background-color: #195dce;
  font-family: IRANYekanLightFaNum;
  color: #fff;
  padding: 5px 30px;
  border-radius: 5px;
}

.search-bar a {
  color: #fff;
  padding: 16px 30px;
  border-radius: 5px;
  width: 140px;
  margin-left: 10px;
  font-family: IRANYekanLightFaNum;
  background-color: #04aa27;
}

#songCategory-filter {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding-right: 12px;
}

#songCategory-filter div {
  margin-right: 20px;
  display: flex;
  justify-self: start;
  align-items: center;
  flex-wrap: wrap;
}

#songCategory-filter div a {
  margin: 0 5px;
  font-size: 12px;
  color: #fff;
  background-color: #ababab;
  border-radius: 30px;
  padding: 5px 10px;
}

.song-cover img {
  border-radius: 10px;
  width: 130px;
  height: 130px;
}

.song-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #fff;
  padding: 10px;
  border-radius: 10px;
}

.song-container-right {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.song-description {
  margin-right: 20px;
  font-size: 14px;
}

.song-name,
.song-artist {
  height: 75px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: flex-start;
}

.song-name p,
.song-artist p {
  white-space: nowrap;
  width: 300px;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: right;
}

.song-categorys,
.song-platforms,
.song-tags {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  height: 50px;
}

.song-categorys p,
.song-platforms p,
.song-tags p {
  margin: 0 5px;
  font-size: 12px;
  padding: 5px 10px;
  color: #fff;
  border-radius: 30px;
}

.song-categorys p {
  background-color: #195dce;
}
.song-platforms p {
  background-color: #eb2d34;
  border-radius: 5px;
}
.song-tags p {
  background-color: #999;
}

.file320 img,
.videoFile img {
  position: absolute;
  right: 10px;
  top: 6%;
}

.musicList-platform{
  cursor: pointer;
}

/********** edit page ***********/

.platform-edit{
  color: #195dce;
  border: 3px solid #2d85eb;
  border-radius: 10px;
  padding: 10px 50px;
  margin-top: 10px;
  transition: 0.5s;
}

.platform-edit:hover{
  background-color: #c6e5ff;
}


/************* edit document **********/

.platform-logo{
  width: 50px;
  height: 50px;
  border-radius: 5px;
  margin-left: 20px;
}

.editMusicDocument-nameInfo p:first-child{
  font-size: 14px;
  color: #777;
}

.editMusicDocument-nameInfo p:last-child{
  font-size: 16px;
  font-weight: 600;
  margin-top: 15px;
}


/********** burger menu ***********/

.side-nav-list {
  position: absolute;
  right: -100%;
  top: 0;
  list-style: none;
  margin: 0;
  padding: 0;
  background-color: #333333db;
  padding: 100px 15px 0;
  width: 250px;
  height: 100vh;
  -webkit-transition: all 0.4s linear;
  transition: all 0.4s linear;
  z-index: 9999;
  border-radius: 40px 0 0 40px;
}

.side-nav-item {
  display: block;
  margin: 15px 0;
  padding: 0;
  text-align: center;
}

.side-nav-link {
  display: inline-block;
  text-decoration: none;
  color: #fff;
}

.side-nav .hamburger {
  display: -webkit-box;
  display: -ms-flexbox;
  display: none;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  width: 38px;
  height: 33px;
  border-radius: 5px;
  position: absolute;
  top: 40px;
  right: 40px;
  z-index: 99999999;
}

.side-nav .hamburger .bar {
  display: inline-block;
  width: 28px;
  height: 3px;
  background-color: #333;
  position: relative;
}

.side-nav .hamburger .bar:after,
.side-nav .hamburger .bar:before {
  content: "";
  position: absolute;
  width: 28px;
  height: 3px;
  background-color: #333;
  top: -8px;
  -webkit-transition: all 0.4s linear;
  transition: all 0.4s linear;
}

.side-nav .hamburger .bar:after {
  top: 8px;
}

.side-nav .hamburger.close .bar {
  height: 0;
  background-color: #333;
}

.side-nav .hamburger.close .bar:after {
  top: -2px;
  -webkit-transform: rotate(135deg);
  transform: rotate(135deg);
  background-color: #333;
}

.side-nav .hamburger.close .bar:before {
  top: -2px;
  background-color: #333;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.slide-in {
  right: 0;
}
/********* pageination ************/

#pagination {
  display: flex;
  justify-content: center;
  direction: ltr;
}

.light-theme .current {
  background: #2971e4;
  color: #fff;
  border-color: #195dce;
  box-shadow: 0 1px 0 rgba(255, 255, 255, 1), 0 0 2px rgba(0, 0, 0, 0.3) inset;
  cursor: default;
}

.light-theme a,
.light-theme span {
  font-size: 20px;
  background: #b4b4b4;
  color: #ddd;
  border-radius: 6px;
}

.light-theme span {
  color: #b4b4b4;
}

.light-theme li:not(.disabled):not(.active) span:hover {
  text-decoration: none;
  background: #e5e5e5;
}

.light-theme a:hover {
  text-decoration: none;
  background: #bdbdbd;
}

/*********** media **********/

@media (max-width: 1100px) {
  .nav-container {
    display: none;
  }
  .side-nav .hamburger {
    display: flex;
  }

  .search-bar a,
  #searchBar {
    padding: 10px 15px;
  }

  #nav {
    margin-top: 50px;
  }
}

@media (max-width: 870px) {
  .song-container {
    flex-direction: column;
  }

  .song-name p,
  .song-artist p {
    text-align: center;
  }

  .song-container-right {
    flex-direction: column;
  }

  .song-description {
    margin-top: 10px;
  }

  .song-name,
  .song-artist {
    align-items: center;
    font-size: 12px;
  }
  .song-categorys,
  .song-platforms,
  .song-tags {
    justify-content: center;
  }
}

@media (max-width: 775px) {
  .input-holder {
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: column;
  }

  .platform-edit {
  width: 250px;
  text-align: center;
}

#editDocument-info{
  padding-right: 15px;
}

.edit-label{
  flex-direction: column; 
}

.input-restriction {
  margin-top: 10px;
  margin-right: 0 !important;
}

  .search-bar a,
  #searchBar {
    font-size: 14px;
  }

  #newMusic-platform .checkbox-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    height: 240px;
  }

  .platform-timing .checkbox-container {
    flex-wrap: nowrap !important;
    height: 50px !important;
  }

  .platform-timing input {
    margin-top: 10px;
  }

  #newMusic-files label {
    margin: 10px;
  }

  #newMusic-name input {
    margin-top: 15px;
  }

  .label {
    margin-bottom: 40px;
    text-align: center;
  }

  .input-text {
    text-align: center;
  }
}

@media (max-width: 650px) {
  #songCategory-filter {
    justify-content: center;
    flex-direction: column;
  }

  #songCategory-filter div {
    margin-top: 25px;
  }
}

@media (max-width: 515px) {
  .search-bar {
    width: 100%;
  }
  .search-bar a,
  #searchBar {
    display: block;
    width: 100%;
    padding: 10px 15px;
    font-size: 14px;
    text-align: center;
  }

  .search-bar a {
    margin: 15px 0;
  }

  #searchBar::-webkit-input-placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    font-size: 14px;
  }

  #searchBar::-ms-input-placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    font-size: 14px;
  }

  #searchBar::placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    font-size: 14px;
  }

  #songCategory-filter {
    margin-top: 30px;
  }

  #songCategory-filter div {
    margin-right: 0;
    margin-top: 10px;
    justify-self: unset;
    justify-content: center;
  }
  #songCategory-filter div a {
    margin-top: 10px;
  }

  #song-list {
    margin-top: 30px;
  }

  .song-container-right {
    display: unset;
    justify-content: unset;
    align-items: unset;
    flex-direction: unset;
    width: 100%;
  }

  .song-container-right .song-cover {
    display: flex;
    justify-content: center;
  }

  .song-description {
    margin-right: 0;
    padding: 0px 5px;
  }

  .song-name p,
  .song-artist p {
    width: 100%;
  }
}

@media (max-width: 420px) {
  .side-nav .hamburger {
    right: 30px;
  }
  #song-contents {
    padding: 28px;
  }
}

@media (max-width: 320px) {
  .side-nav .hamburger {
    right: 18px;
  }
  #song-contents {
    padding: 20px;
  }

  #searchBar {
    font-size: 12px;
  }

  #searchBar::-webkit-input-placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    font-size: 12px;
  }

  #searchBar::-ms-input-placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    font-size: 12px;
  }

  #searchBar::placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    font-size: 12px;
  }
}
